Bug 186845 - wvdial cannot read /etc/wvdial.conf
wvdial cannot read /etc/wvdial.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libwvstreams (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 20:55 EST by David Woodhouse
Modified: 2008-01-20 16:22 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-20 16:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my wvdial.conf (270 bytes, text/plain)
2006-03-28 07:20 EST, David Woodhouse
no flags Details
strace of wvdial failing (14.18 KB, text/plain)
2006-03-28 07:22 EST, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2006-03-26 20:55:55 EST
After upgrading to FC5, I can no longer connect my laptop to GPRS. I get the
following errors:

Mar 27 02:57:43 shinybook wvdial[3739]: Configuration does not specify a valid
phone number.
Mar 27 02:57:43 shinybook wvdial[3739]: Configuration does not specify a valid
login name.
Mar 27 02:57:43 shinybook wvdial[3739]: Configuration does not specify a valid
password.

The scripts for dialup are somewhat confusing -- there's information duplicated
in /etc/sysconfig/network-scripts and /etc/wvdial.conf. But the wvdial config
looks like this:

[Dialer Default]
Username = x
Password = x
Phone = *99***1#
Stupid Mode = 1
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Inherits = *
Comment 1 David Woodhouse 2006-03-27 07:01:01 EST
Oh, this just might be relevant too... it also says:

Mar 27 13:00:58 shinybook wvdial[12284]: Warning: section [Dialer GPRS] does not
exist in wvdial.conf.

I trimmed wvdial.conf and it still happens. Here's wvdial.conf in its entirety:

[Modem0]
Modem = /dev/rfcomm0
Baud = 115200
SetVolume = 0
Dial Command = ATDT
Init1 = ATZ
Init3 = ATM0
FlowControl = CRTSCTS
[Dialer GPRS]
Username = x
Password = x
Phone = *99***1#
Stupid Mode = 1
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Inherits = Modem0
Comment 2 Harald Hoyer 2006-03-27 07:23:27 EST
strange, strange
Comment 3 David Woodhouse 2006-03-28 03:33:18 EST
Strange indeed. And probably the fault of libwvutil, not wvdial itself.

Do we really need something as complicated as wvdial for this job? What does it
do that we couldn't manage with a simple chat script and the existing (or
slightly enhanced) initscripts?
Comment 4 David Woodhouse 2006-03-28 03:55:03 EST
Ooh, nice. We _don't_ need wvdial except for backward compatibility. Fixing my
config accordingly.
Comment 5 Harald Hoyer 2006-03-28 04:16:08 EST
well, it is guessing login procedures... (stupid mode)
Comment 6 Harald Hoyer 2006-03-28 04:25:45 EST
hmm... works for me...
# wvdial GPRS
Comment 7 Harald Hoyer 2006-03-28 04:28:15 EST
# wvdial GPRS
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ

with your /etc/wvdial.conf....
Comment 8 David Woodhouse 2006-03-28 07:20:29 EST
Created attachment 126897 [details]
my wvdial.conf
Comment 9 David Woodhouse 2006-03-28 07:22:59 EST
Created attachment 126898 [details]
strace of wvdial failing
Comment 10 William Lachance 2007-02-22 12:54:25 EST
My suspicion is that this is due to a bug in WvStreams which may have been fixed
in the latest release (4.3.0). Certainly I'm not seeing a problem with the above
configuration file and a test program written to parse it that uses 4.3.0.

Note that WvStreams' upstream location has changed. You can now grab it at:

http://alumnit.ca/wiki/?WvStreams
Comment 11 Ondrej Vasik 2008-01-20 16:22:50 EST
FC-5 EOL and 4.3.0 (and newer) in F8 and RAWHIDE (F7 has 4.2.2) - closing
NEXT_RELEASE, feel free to reopen it if the problem is still broken in F7
against F7(as in comment #10 is written that it works for 4.3.0)

Note You need to log in before you can comment on or make changes to this bug.